Run a check for a task
curl --request POST \
--url https://api.trycomp.ai/v1/integrations/tasks/{taskId}/run-check \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"connectionId": "conn_abc123",
"checkId": "aws-s3-bucket-public-access"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({connectionId: 'conn_abc123', checkId: 'aws-s3-bucket-public-access'})
};
fetch('https://api.trycomp.ai/v1/integrations/tasks/{taskId}/run-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/integrations/tasks/{taskId}/run-check"
payload = {
"connectionId": "conn_abc123",
"checkId": "aws-s3-bucket-public-access"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Integrations
Run a check for a task | Comp AI API
Run a check for a task in Comp AI. Connect vendor systems, configure OAuth apps, run compliance checks, sync employees, manage variables, and collect.
POST
/
v1
/
integrations
/
tasks
/
{taskId}
/
run-check
Run a check for a task
curl --request POST \
--url https://api.trycomp.ai/v1/integrations/tasks/{taskId}/run-check \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"connectionId": "conn_abc123",
"checkId": "aws-s3-bucket-public-access"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({connectionId: 'conn_abc123', checkId: 'aws-s3-bucket-public-access'})
};
fetch('https://api.trycomp.ai/v1/integrations/tasks/{taskId}/run-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/integrations/tasks/{taskId}/run-check"
payload = {
"connectionId": "conn_abc123",
"checkId": "aws-s3-bucket-public-access"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
API key for authentication
Path Parameters
Body
application/json
ID of the integration connection that owns the check (call list-connections to find it).
Example:
"conn_abc123"
ID of the integration check to run (from the provider manifest — call list-checks-for-task to find available ones).
Example:
"aws-s3-bucket-public-access"
Auto-resolved from your API key / session. You can omit this; it is ignored by the server.
Response
201 - undefined
Was this page helpful?

